package com.letmetrial.api.auth.usecase;

import java.util.UUID;

import org.springframework.stereotype.Component;

import com.letmetrial.api.auth.client.keycloak.KeycloakClient;
import com.letmetrial.api.auth.client.keycloak.dto.CredentialDTO;

import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
@Component
public class AtualizarSenhaUC {

    private final KeycloakClient keycloakClient;

    public void executar(UUID id, String novaSenha) {
        keycloakClient.trocarSenha(id.toString(), new CredentialDTO("password", novaSenha, false));
    }

}
